Subject: Feed distributors wanted

From: Fred Mooney <[email-masked]>
Date: Sun, 01 Dec 1996 13:05:56 -0600

Haystack Feeds, makers of Alfa-Glo and Special Blend ground hay mixes,
is looking for distributors to market their already popular products. 
Our products are all natural, made from the highest quality sun-cured
alfalfa and pure cane molassas, with a 10-12% protein level. For more
information, please respond by email.